# WebhookPrivateKeyConfig - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.updateshandlers.webhook / WebhookPrivateKeyConfig

# WebhookPrivateKeyConfig

(jvm) `data class WebhookPrivateKeyConfig` (source)

### Constructors

(jvm)

#### <init>

`WebhookPrivateKeyConfig(keyStorePath: String, keyStorePassword: String, aliasName: String, aliasPassword: String)`

### Properties

(jvm)

#### aliasName

`val aliasName: String`

(jvm)

#### keyStore

`val keyStore: KeyStore!`

### Functions

(jvm)

#### aliasPassword

`fun aliasPassword(): CharArray`

(jvm)

#### keyStorePassword

`fun keyStorePassword(): CharArray`